#include "Orchester.h"
#include "Musiker.h"
#include <iostream>
using namespace std;

Orchester::Orchester() { cout << "Konstruktor: Orchester()" << endl; }
Orchester::~Orchester() {
  cout << "Destruktor: ~Orchester()" << endl;
  for (int i = 0; i < musiker.size(); i++) {
    delete musiker[i];
  }
}

void Orchester::hinzufuegen(Musiker const *musiker) {
  Orchester::musiker.push_back(musiker);
}
void Orchester::spielen() {
  for (int i = 0; i < musiker.size(); ++i) {
    musiker[i]->spielen();
  }
}
